# gdcm::ByteBuffer Class Reference

ByteBuffer. More...

`#include <gdcmByteBuffer.h>`

Collaboration diagram for gdcm::ByteBuffer:
[legend]

List of all members.

## Public Member Functions
| ByteBuffer ()
char * | Get (int len)
const char * | GetStart () const
void | ShiftEnd (int len)
void | UpdatePosition ()

## Detailed Description

ByteBuffer.

Detailled description here

Note:
  looks like a std::streambuf or std::filebuf class with the get and peek pointer

## Constructor & Destructor Documentation

gdcm::ByteBuffer::ByteBuffer | ( |  | ) | `[inline]`

## Member Function Documentation

char* gdcm::ByteBuffer::Get | ( | int | len | ) | `[inline]`

const char* gdcm::ByteBuffer::GetStart | ( |  | ) | const`[inline]`

void gdcm::ByteBuffer::ShiftEnd | ( | int | len | ) | `[inline]`

void gdcm::ByteBuffer::UpdatePosition | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmByteBuffer.h